/*$************************************************************************************************
 **
 ** $Id: FeatureStoreListener.java 1177 2008-03-27 10:43:54Z avcuster $
 **
 ** $URL: https://geoapi.svn.sourceforge.net/svnroot/geoapi/tags/2.1.1/geoapi/src/main/java/org/opengis/feature/FeatureStoreListener.java $
 **
 ** Copyright (C) 2005 Open GIS Consortium, Inc.
 ** All Rights Reserved. http://www.opengis.org/legal/
 **
 *************************************************************************************************/
package org.opengis.feature;

import java.util.EventListener;
import org.opengis.feature.type.FeatureType;  // For javadoc


/**
 * Interface whose methods are invoked when types are modified in a {@link FeatureStore}.
 * To use this interface, implement its methods and invoke the
 * {@link FeatureStore#addFeatureStoreListener addFeatureStoreListener} method on feature store.
 *
 * @since GeoAPI 2.0
 * 
 * @deprecated Removed pending a redesign of feature storage interfaces
 */
@Deprecated
public interface FeatureStoreListener extends EventListener {
    /**
     * Invoked when a new {@link FeatureType} has been created.
     */
    void typeAdded(FeatureStoreEvent dse);

    /**
     * Invoked when a {@link FeatureType} has been removed from a {@link FeatureStore}.
     */
    void typeRemoved(FeatureStoreEvent dse);

    /**
     * Invoked when the schema for a type has been changed.
     */
    void typeModified(FeatureStoreEvent dse);
}
