/*$************************************************************************************************
 **
 ** $Id: Circle.java 1122 2007-11-24 18:49:16Z desruisseaux $
 **
 ** $URL: https://geoapi.svn.sourceforge.net/svnroot/geoapi/tags/2.1.1/geoapi/src/main/java/org/opengis/geometry/coordinate/Circle.java $
 **
 ** Copyright (C) 2003-2005 Open GIS Consortium, Inc.
 ** All Rights Reserved. http://www.opengis.org/legal/
 **
 *************************************************************************************************/
package org.opengis.geometry.coordinate;

import org.opengis.annotation.UML;

import static org.opengis.annotation.Obligation.*;
import static org.opengis.annotation.Specification.*;


/**
 * Same as an {@linkplain Arc arc}, but closed to form a full circle.
 * The {@linkplain #getStartAngle start} and {@linkplain #getEndAngle end bearing}
 * are equal and shall be the bearing for the first {@linkplain #getControlPoints
 * control point} listed.
 *
 * This still requires at least 3 distinct non-co-linear points to be unambiguously
 * defined. The arc is simply extended until the first point is encountered.
 *
 * @version <A HREF="http://www.opengeospatial.org/standards/as">ISO 19107</A>
 * @author Martin Desruisseaux (IRD)
 * @since GeoAPI 1.0
 */
@UML(identifier="GM_Circle", specification=ISO_19107)
public interface Circle extends Arc {
}
